> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Document Information

> **Scopes:** `document:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/document/{document_id}
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/document/{document_id}:
    get:
      tags:
        - Document
      summary: Retrieve Document Information
      description: '**Scopes:** `document:read`'
      operationId: get_document_v0_business__business_id__document__document_id__get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: document_id
          in: path
          required: true
          schema:
            description: The id of the document
            examples:
              - doc_WQMDNUHpBThYSNh4AprDBo
            type: string
            format: doc_string
            title: Document Id
          description: The id of the document
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentSuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - document:read
components:
  schemas:
    DocumentSuccess:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/DocumentPublic'
            - $ref: '#/components/schemas/DocumentUploadResponse'
          title: Data
      type: object
      required:
        - data
      title: DocumentSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    DocumentPublic:
      properties:
        task_id:
          anyOf:
            - type: string
              format: tsk_string
            - type: 'null'
          title: Task Id
          description: The id of the Task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the Business
          examples:
            - biz_R2fAXCjqJPdpYata112zyW
        name:
          type: string
          maxLength: 255
          title: Name
          description: The original file name
          examples:
            - receipt.pdf
        description:
          type: string
          maxLength: 255
          title: Description
          description: The description of the Document
          examples:
            - Receipt
        document_type:
          $ref: '#/components/schemas/DocumentType'
          description: The type of the Document.
          examples:
            - receipt
            - statement
            - other
        file_size:
          type: integer
          title: File Size
          description: The size of the file in kilobytes
          examples:
            - 1024
        status:
          $ref: '#/components/schemas/DocumentPublicStatus'
          description: The status of the Document
        source:
          $ref: '#/components/schemas/DocumentSource'
          description: The ingest channel the Document arrived through
          default: manual_upload
          examples:
            - manual_upload
            - email
            - integration
        external_account_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: External Account Id
        transaction_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Transaction Id
        external_id:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: External Id
          description: External identifier for deduplication (e.g., provider payroll ID)
          examples:
            - gusto-payroll-abc123
        metadata_:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        id:
          type: string
          format: doc_string
          title: Id
          description: The id of the Document
          examples:
            - doc_R2fAXCjqJPdpYata112zyW
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The datetime the Document was created in UTC ISO-8601 format
        journal_entry_ids:
          anyOf:
            - items:
                type: string
                format: je_string
              type: array
            - type: 'null'
          title: Journal Entry Ids
          description: The ids of the Journal Entries associated with the document
          examples:
            - je_R2fAXCjqJPdpYata112zyW
            - je_R2fAXCjqJPdpYata112zyW
        external_account_ids:
          anyOf:
            - items:
                type: string
                format: eac_string
              type: array
            - type: 'null'
          title: External Account Ids
          description: The ids of the External Accounts associated with the document
          examples:
            - eac_R2fAXCjqJPdpYata112zyW
            - eac_R2fAXCjqJPdpYata112zyW
        transaction_ids:
          anyOf:
            - items:
                type: string
                format: txn_string
              type: array
            - type: 'null'
          title: Transaction Ids
          description: The ids of the Transactions associated with the document
          examples:
            - txn_R2fAXCjqJPdpYata112zyW
            - txn_R2fAXCjqJPdpYata112zyW
        status_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Reason
          description: Human-readable reason when the document has the failed status
        failure_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Failure Code
          description: The code of the failure when the document has the failed status
        bill_id:
          anyOf:
            - type: string
              format: bil_string
            - type: 'null'
          title: Bill Id
          description: The id of the Bill associated with the document
          examples:
            - bil_R2fAXCjqJPdpYata112zyW
      type: object
      required:
        - business_id
        - name
        - description
        - document_type
        - file_size
        - status
        - external_account_id
        - transaction_id
        - id
        - created_at
      title: DocumentPublic
    DocumentUploadResponse:
      properties:
        successful:
          items:
            $ref: '#/components/schemas/DocumentUploadResult'
          type: array
          title: Successful
        unsuccessful:
          items:
            $ref: '#/components/schemas/DocumentUploadError'
          type: array
          title: Unsuccessful
        task_id:
          anyOf:
            - type: string
              format: tsk_string
            - type: 'null'
          title: Task Id
      type: object
      required:
        - successful
        - unsuccessful
      title: DocumentUploadResponse
    DocumentType:
      type: string
      enum:
        - receipt
        - statement
        - other
        - payroll
        - bill
        - mileage
      title: DocumentType
    DocumentPublicStatus:
      type: string
      enum:
        - processing
        - processed
        - partially_processed
        - failed
      title: DocumentPublicStatus
    DocumentSource:
      type: string
      enum:
        - manual_upload
        - email
        - integration
      title: DocumentSource
    DocumentUploadResult:
      properties:
        id:
          type: string
          title: Id
        filename:
          type: string
          title: Filename
      type: object
      required:
        - id
        - filename
      title: DocumentUploadResult
    DocumentUploadError:
      properties:
        filename:
          type: string
          title: Filename
        error:
          type: string
          title: Error
      type: object
      required:
        - filename
        - error
      title: DocumentUploadError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````